
# RedHat support
- name: install RedHat packages
  yum:
    name:
      - yum-plugin-security
      - yum-cron
      - yum-utils
      - mailx
    state: present
  vars:
    ansible_python_interpreter: /usr/bin/python2
  notify: restart yum-cron

- name: install yum-cron.conf
  template:
    src: yum-cron.conf
    dest: "/etc/yum/yum-{{ item }}.conf"
  vars:
    schedule: "{{ schedules[item] }}"
  with_items:
    - hourly
    - daily
    - weekly
    - monthly
  notify: restart yum-cron

- name: install yum-cron crontab scripts
  template:
    src: etc/cron.d/yum-cron.sh
    dest: "/etc/cron.{{ item }}/0yum-{{ item }}.cron"
    mode: 0755
  with_items:
    - hourly
    - daily
    - weekly
    - monthly
  notify: restart yum-cron

- name: cleanup old reboot cron scripts
  file:
    path: "/etc/cron.{{ item }}/yum-reboot.cron"
    state: absent
  with_items:
    - hourly
    - daily
    - weekly
    - monthly

- name: install reboot cron script
  template:
    src: etc/cron.d/yum-reboot.sh
    dest: "/etc/cron.{{ yum_reboot }}/yum-reboot.cron"
    mode: 0755
  vars:
    ansible_python_interpreter: /usr/bin/python2

- name: ensure yum-cron service is started
  service:
    name: yum-cron
    state: started
    enabled: yes
